Bug 118072 - ATI video driver package (fglrx) doesn't come with install CD's
ATI video driver package (fglrx) doesn't come with install CD's
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Bailey
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 14:01 EST by Bob Marietta
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 14:43:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Marietta 2004-03-11 14:01:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
I have two Fedora boxes both running the Fedora core 2 test release. 
One uses an ATI Radeon 9800.  The other uses an ATI Radeon 8500. 
Fedora core 2 installed nicely on my systems.  However it appeared
that the video drivers offered by ATI in the form of RPM were not
installed.  These drivers are necessary to play modern games on Linux.
 The latest driver package on the ATI website was
fglrx-4.3.0-3.7.6.i386.rpm as of this post.  I'm writing to make a
feature suggestion that this package be installed by default if you
are using an ATI card.  Out of box support for both ATI and nVidia
graphics cards would go a long way towards improving the Linux desktop
for the average user like me.

Also, if you actually download and try to install the drivers, you
will get a nasty error about a conflicting package.

Version-Release number of selected component (if applicable):
Fedora core 2 test release 

How reproducible:
Always

Steps to Reproduce:
1.  Install Fedora Core 2 test CD's
2.  Note that the FGLRX video driver package is not installed
3.  Go to the ATI website, try to download the driver and then try to
install it.


    

Actual Results:  When you try to install the ATI video driver with RPM
-Uvh f*.rpm you get a nasty error about a conflicting package.

Expected Results:  See above

Additional info:

See above
Comment 1 Bob Marietta 2004-03-11 14:12:53 EST
Here is what happens if you try to manually install the ATI driver RPM:
[root@localhost root]# rpm -Uvh fglrx-4.3.0-3.7.6.i386.rpm
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
Preparing...               
########################################### [100%]
        file /usr/X11R6/lib/libGL.so.1.2 from install of
fglrx-4.3.0-3.7.6 conflicts with file from package
XFree86-Mesa-libGL-4.3.0-45.0.1
Comment 2 Bob Marietta 2004-03-11 14:34:13 EST
After forcing install of the RPM with RPM -Uvh --force fglrs*.rpm you
are prompted to compile the kernel module.  This process errors out as
well:

[root@localhost build_mod]# ./make.sh
ATI module generator V 2.0
==========================
initializing...
Error:
XFree86 drm includes at
/lib/modules/2.6.1-1.65/build/include/../drivers/char/drm do not fit
this driver.
This driver is designed to only work with X4.1.0 or higher.
You can match this by getting Linux kernel 2.4.8 or higher.
Comment 3 Ed Bailey 2004-03-11 14:43:11 EST
Closing as wontfix, as the drivers you're talking about are not open
source, and as such will never be part of Fedora Core.

I understand the desire for these kinds of drivers to be there "out of
the box", but it's just not possible.

As for any problems you're having with the ATI drivers, you'll need to
contact ATI with any requests for assistance or feedback; the Fedora
project has nothing to do with their development -- ATI developed and
packaged them...
Comment 4 Bob Marietta 2004-03-11 15:07:51 EST
The average user *needs* these drivers to be out of the box.  It is
too much of a burden to task the average user with installing this
stuff.  At a minimum, I would suggest including the third party
packages with your distribution CD's and working with ATI to make them
installation friendly.  Compare the installation experience to Windows
for a sec.  Windows includes such drivers out of the box for
convenience of the customer.  I can boot up a Windows CD and do a
fresh install.  I can then install a game CD and I'm off to the races.
 However with Linux it is a completely different scenario:(
Comment 5 Ed Bailey 2004-03-11 15:44:07 EST
I understand your point; however, it is simply not an option.  The
rules under which open source software projects have to operate are
entirely different from the rules under which closed-source *products*
operate.

In the closed-source world, when company A decides they would like to
include company B's software with their own software, often money
changes hands.  Distribution and non-disclosure agreements are signed.

All of these things are not options for open source projects -- think
about it; a non-disclosure agreement loses its meaning if the source
code is freely available.  It's hard for money to change hands if one
of the parties involved is not an individual, or a corporation, but
hundreds (maybe thousands) of people that -- together -- comprise the
"community" responsible for developing the open-source software.

So, as much as it would be wonderful to have drivers for these cards,
the only way that is going to happen is if ATI (or nVidia, for that
matter) open-sourced their drivers.  But that is very unlikely,
unfortunately...
Comment 6 Bob Marietta 2004-03-15 09:38:00 EST
Thank you for the opportunity to contribute to your outstanding 
product.  I found some additional information that I wanted to add to 
the original feature request.  First of all, from what I've been 
reading many are having installation, performance, stability and 
other problems with the ATI drivers on many different distributions.  
What I discovered was that SuSE Linux bundles the ATI drivers with 
their Linux distribution apparently on the install CDs and on their 
website.  Here is a link.  
ftp://ftp.suse.com/pub/suse/i386/supplementary/X/XFree86/ATI/suse90/fg
lrx/  SuSE also authored their own readme file that explains how to 
install the drivers.  Wouldn't it be nice if installation of these 
video drivers necessary for gaming with 3D acceleration were 
integrated into the Red Hat install process:)

Note You need to log in before you can comment on or make changes to this bug.